import os

mainLayerFolder = 'C:\Users\Saul\Documents\Ih_AnalisisdeAreasNoSuperpuestasporMultiplesCapasconQGISyPyQGIS\Shp'

listLayers = []
for item in os.listdir(mainLayerFolder + '/Layers/'):
    if item[-3:]=='shp':
        listLayers.append(item)

dictLayers = {}

for layer in listLayers:
    dictLayers[layer[:-4]] = iface.addVectorLayer(mainLayerFolder + '\\Layers\\' + layer , layer[:-4] , "ogr")
    
areaOfInterest = iface.addVectorLayer(mainLayerFolder + '\\AreaofInterest\\AreaOfInterest.shp' ,'AreaOfInterest',"ogr")

